#
# spec file for package SILLY
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define SILLYso 1

Name:           SILLY
Version:        0.1.0
Release:        1.8
Summary:        Simple Image Loading LibrarY
License:        MIT
Group:          Development/Libraries/C and C++
URL:            http://cegui.org.uk/wiki/SILLY
Source0:        http://prdownloads.sourceforge.net/crayzedsgui/%{name}-%{version}.tar.gz
Source1:        http://prdownloads.sourceforge.net/crayzedsgui/%{name}-DOCS-%{version}.tar.gz
# PATCH-FIX-UPSTREAM Debian patch 01_SILLYPNGImageLoader.patch
Patch1:         01_SILLYPNGImageLoader.patch
# PATCH-FIX-UPSTREAM SILLY-gcc47.patch
Patch2:         SILLY-gcc47.patch
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SILLY means Simple Image Loading LibrarY. The aim of this library is to provide
a simple library for loading image in the context of CEGUI. The library supports
only the most common image format. The project was initially launch in order
to provide an MIT based replacement of DevIL with less image format supported
and focused on loading image only.

%package -n lib%{name}%{SILLYso}
Summary:        Simple Image Loading LibrarY
Group:          System/Libraries

%description -n lib%{name}%{SILLYso}
SILLY means Simple Image Loading LibrarY. The aim of this library is to provide
a simple library for loading image in the context of CEGUI. The library supports
only the most common image format. The project was initially launch in order
to provide an MIT based replacement of DevIL with less image format supported
and focused on loading image only.

%package -n lib%{name}-devel
Summary:        Simple Image Loading LibrarY development package
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{SILLYso} = %{version}

%description -n lib%{name}-devel
Development files for libSILLY
SILLY means Simple Image Loading LibrarY. The aim of this library is to provide
a simple library for loading image in the context of CEGUI. The library supports
only the most common image format. The project was initially launch in order
to provide an MIT based replacement of DevIL with less image format supported
and focused on loading image only.

%prep
%setup -b 1 -D -q
%patch1 -p1
%patch2 -p1

%build
%global _lto_cflags %{_lto_cflags} -ffat-lto-objects
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_libdir}/libSILLY.la
mkdir -p %{buildroot}%{_defaultdocdir}/libSILLY-devel
cp -R doc/html/* %{buildroot}%{_defaultdocdir}/libSILLY-devel
%fdupes %{buildroot}%{_defaultdocdir}/lib%{name}-devel

%post -n lib%{name}%{SILLYso} -p /sbin/ldconfig
%postun -n lib%{name}%{SILLYso} -p /sbin/ldconfig

%files -n lib%{name}%{SILLYso}
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
%doc ChangeLog
%{_libdir}/libSILLY.so.%{SILLYso}*

%files -n lib%{name}-devel
%defattr(-,root,root)
%docdir %{_defaultdocdir}/lib%{name}-devel
%{_defaultdocdir}/lib%{name}-devel/
%{_includedir}/SILLY
%{_libdir}/libSILLY.so
%{_libdir}/pkgconfig/SILLY.pc

%changelog
* Thu Jan  7 2021 Matthias Mailänder <mailaender@opensuse.org>
- Disable the static library and remove libtool metadata.
- Link duplicate files.
* Tue Jan  5 2021 Matthias Mailänder <matthias@mailaender.name>
- Use https://en.opensuse.org/SourceUrls
* Wed Sep 18 2019 Simon Puchert <simonpuchert@alice.de>
- Use -ffat-lto-objects when building static libraries.
* Sat Aug 27 2016 jengelh@inai.de
- Rectify RPM group classification
* Mon Apr 15 2013 joop.boonen@opensuse.org
- Added a gcc47 memcpy patch
* Mon Nov 26 2012 joop.boonen@opensuse.org
- Using Debian libpng 1.5 patch
* Fri Nov 23 2012 joop.boonen@opensuse.org
- Fix build added missing directory in files
* Mon Apr 23 2012 joop.boonen@opensuse.org
- Requires name for devel package corrected
  dependent packes couldn't be build anymore
* Sat Jul  2 2011 jengelh@medozas.de
- Remove conflicting %%debug_package: OBS deals with that already
- Remove unnecessary %%clean section
- Use %%_smp_mflags
- Move to .changes-style changelog
* Wed Dec  3 2008 dominique-rpm@leuenberger.net
- Changed spec to conform to SHLib policy
- Provide / obsolete libSILLY by the new lib-package
